package com.rightanglegames.backtothepast;

import it.randomtower.engine.ResourceManager;
import it.randomtower.engine.entity.Entity;
import it.randomtower.engine.tween.Ease;
import it.randomtower.engine.tween.NumTween;
import it.randomtower.engine.tween.Tween.TweenerMode;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;


public class AppearingPresents extends Entity {

	private NumTween scaler, rotator;
	
	public AppearingPresents(float x, float y) {
		super(x, y);
		depth = 5;
		centered = true;
		currentImage = ResourceManager.getImage("presents");
		scaler = new NumTween(0,1, BackToThePast.TARGET_FRAME_RATE, TweenerMode.ONESHOT, Ease.QUINT_IN);
		rotator = new NumTween(0,720, BackToThePast.TARGET_FRAME_RATE, TweenerMode.ONESHOT, Ease.QUAD_IN);
	}

	public void update(GameContainer container, int delta) throws SlickException {
		super.update(container, delta);
		scaler.update(delta);
		scale = scaler.getValue();
		rotator.update(delta);
		setAngle((int)rotator.getValue());
	}
}
