package com.rightanglegames.backtothepast;

import it.randomtower.engine.ResourceManager;
import it.randomtower.engine.entity.Entity;
import it.randomtower.engine.tween.Ease;
import it.randomtower.engine.tween.LinearMotion;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.SlickException;

public class BouncingLogo extends Entity {

	private LinearMotion bouncer = null;

	public BouncingLogo(float x, float y) {
		super(x, y);
		name = "logo";
		depth = 2;
		currentImage = ResourceManager.getImage("logo");
        // add to this entity a tween
		bouncer = new LinearMotion(x, y, x, y+500, 120, Ease.BOUNCE_OUT);
	}
	
	public void update(GameContainer container, int delta) throws SlickException {
		super.update(container, delta);
		bouncer.update(delta);
		setPosition(bouncer.getPosition());
	}
	
	public boolean animationFinished() {
		return bouncer.isFinished();
	}
	
}
