package com.rightanglegames.backtothepast;

import it.randomtower.engine.ResourceManager;
import it.randomtower.engine.entity.Entity;
import it.randomtower.engine.entity.TextEntity;

import org.newdawn.slick.Color;
import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.SlickException;

public class Collectable extends TextEntity {
	
	public static final String COLLECTABLE = "collectable";
	
	private static Color[] cycle = { Color.blue, Color.green, Color.yellow, Color.orange, Color.red, Color.white };
	
	private int colorindex = Globals.RND.getRandomInt(0, cycle.length-1);
	private String letter;
	
	public Collectable(String letter, float x, float y) {
		super(x, y, ResourceManager.getAngelCodeFont("HildaSonnenschein32"), letter);
		this.depth = BackToThePast.EFFECTS_LAYER;
		this.letter = letter;
		this.setHitBox(4, 4, 32, 32);
		this.addType(COLLECTABLE);
		this.setAlarm("color", BackToThePast.TARGET_FRAME_RATE / 2, false, true);
	}
	
	@Override
	public void render(GameContainer container, Graphics g) throws SlickException {
		g.setColor(cycle[colorindex]);
		super.render(container, g);
		g.setColor(Color.white);
	}

	public void alarmTriggered(String name) {
		if (name.equals("color")) {
			colorindex++;
			if (colorindex >= cycle.length) {
				colorindex = 0;
			}
		}
	}
	@Override
	public void collisionResponse(Entity other) {
		if (other.isType(Entity.PLAYER)) {
			((IngameState)this.world).increaseScore(50);
			this.destroy();
		}
	}

	public void setLetter(String letter) {
		this.letter = letter;
	}

	public String getLetter() {
		return letter;
	}
}
