package com.rightanglegames.backtothepast;

import org.newdawn.slick.GameContainer;
import org.newdawn.slick.Graphics;
import org.newdawn.slick.Image;
import org.newdawn.slick.SlickException;
import org.newdawn.slick.SpriteSheet;
import org.newdawn.slick.state.StateBasedGame;

public class EditorTile {

	private String name;
	private String mapChar;
	private Image img;
	private SpriteSheet sheet;
	private int sheetx, sheety;
	
	public EditorTile(String name, String mapChar, Image img) {
		// TODO Auto-generated constructor stub
		this.name = name;
		this.mapChar = mapChar;
		this.img = img;
	}
	
	public EditorTile(String name, String mapChar, SpriteSheet sheet, int sheetx, int sheety) {
		this.name = name;
		this.mapChar = mapChar;
		this.sheet = sheet;
		this.sheetx = sheetx;
		this.sheety = sheety;
		this.img = sheet.getSprite(sheetx, sheety);
	}
	
	public void render(Graphics g, float x, float y) throws SlickException {
		if (img != null) {
			g.drawImage(img, x, y);
		}
	}

	public String getMapChar() {
		return mapChar;
	}

	public Image getImg() {
		return img;
	}

	public SpriteSheet getSheet() {
		return sheet;
	}

	public int getSheetx() {
		return sheetx;
	}

	public int getSheety() {
		return sheety;
	}

	public String getName() {
		return name;
	}

}
